New Search

Argument injection vulnerability in the URI handler in (a) Java NPAPI plugin and (b) Java Deployment Toolkit in Java 6 Update 10 19 and other versions when running on Windows and possibly on Linux allows remote attackers to execute arbitrary code via the (1) -J or (2) -XXaltjvm argument to javaws.exe which is processed by the launch method. NOTE: some of these details are obtained from third party information.

oval:org.mitre.oval:def:14090

Argument injection vulnerability in the URI handler in (a) Java NPAPI plugin and (b) Java Deployment Toolkit in Java 6 Update 10 19 and other versions when running on Windows and possibly on Linux allows remote attackers to execute arbitrary code via the (1) -J or (2) -XXaltjvm argument to javaws.exe which is processed by the launch method. NOTE: some of these details are obtained from third party information.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Vista
  • Microsoft Windows Server 2012
  • Microsoft Windows 2000
  • Microsoft Windows Server 2003
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows XP
  • Microsoft Windows 8
  • Microsoft Windows 7
  • Microsoft Windows Server 2008
Class:
vulnerability
Reference(s):
  • CVE-2010-1423
Product(s):
  • Java Development Kit
  • Java Runtime Environment